gnutls_idna_reverse_map(3)

NAME
gnutls_idna_reverse_map - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_idna_reverse_map(const char * input, unsigned ilen, gnutls_datum_t * out, unsigned flags);

ARGUMENTS

const char * input
    contain the ACE (IDNA) formatted domain name

unsigned ilen
    the length of the provided string

gnutls_datum_t * out
    the result in an null-terminated allocated UTF-8 string

unsigned flags
    should be zero

DESCRIPTION
This function will convert an ACE (ASCII-encoded) domain name to a UTF-8 domain name.

If GnuTLS is compiled without IDNA support, then this function will return GNUTLS_E_UNIMPLEMENTED_FEATURE.

Note also, that this function will return an empty string if an empty string is provided as input.

RETURNS
A negative error code on error, or 0 on success.

SINCE
3.5.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/